# class Prism::Relocation::Source

Represents the source of a repository that will be reparsed.

### Attributes

value [R]

The value that will need to be reparsed.

### Public Class Methods

new (value)
Source

    # File lib/prism/relocation.rb, line 153
    def initialize(value)
      @value = value
    end

Initialize the source with the given value.

### Public Instance Methods

code_units_cache (encoding)
Source

    # File lib/prism/relocation.rb, line 163
    def code_units_cache(encoding)
      result.code_units_cache(encoding)
    end

Create a code units cache for the given encoding.

result ()
Source

    # File lib/prism/relocation.rb, line 158
    def result
      raise NotImplementedError, "Subclasses must implement #result"
    end

Reparse the value and return the parse result.